Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFCharProcs

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFCharProcs

All Implemented Interfaces:
  PDFWritable

    public class PDFCharProcs

extends PDFObject

class representing a /CharProcs dictionary for Type3 fonts.

CAUTION: this is not yet fully implemented!!!!!!! I miss an exemple of how to output this dictionary.

Type3 fonts are specified on page 206 and onwards of the PDF 1.3 spec.

Field Summary
`protected java.util.Map` | `keys` the (character name, drawing stream) pairs for a Type3 font

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Constructor Summary
`PDFCharProcs()` Create a new PDF char proc store.

Method Summary
`void` | `addCharacter(java.lang.String name, PDFStream stream)` add a character definition in the dictionary
`byte[]` | `toPDF()` not done yet

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getChildren, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, output, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keys

    protected java.util.Map keys

  the (character name, drawing stream) pairs for a Type3 font

Constructor Detail

### PDFCharProcs

    public PDFCharProcs()

  Create a new PDF char proc store.

Method Detail

### addCharacter

    public void addCharacter(java.lang.String name,
                             PDFStream stream)

  add a character definition in the dictionary

  Parameters:
    `name` - the character name
    `stream` - the stream that draws the character

### toPDF

    public byte[] toPDF()

  not done yet

  Overrides:
    `toPDF` in class `PDFObject`
  Returns:
    the pdf byte array

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.